Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance
Class CellRenderer

    java.lang.Object
      datechooser.view.appearance.CellRenderer

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CellAppearance, CustomCellRenderer, SwingCellRenderer

    public abstract class CellRenderer

extends java.lang.Object
implements java.io.Serializable

Abstract class renders cell.
Базовый класс для рисовальщиков ячеек.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`CellRenderer()`

Method Summary
`protected void` | `paintCursor(java.awt.Graphics2D g2d, java.awt.Rectangle rec, java.awt.Color color)` Рисование курсора.
`void` | `render(java.awt.Graphics2D g, java.awt.Component c, java.lang.String text, int width, int height)`
`abstract void` | `render(java.awt.Graphics2D g, java.awt.Component c, java.lang.String text, int width, int height, boolean isCursor)` Draw cell method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRenderer

    public CellRenderer()

Method Detail

### render

    public abstract void render(java.awt.Graphics2D g,
                                java.awt.Component c,
                                java.lang.String text,
                                int width,
                                int height,
                                boolean isCursor)

  Draw cell method.
  Метод рисования ячейки.

  Parameters:
    `g` - Graphics.
    Графический контекст.
    `c` - Palette component.
    Компонент, на котором осуществляется рисование.
    `text` - Cell text.
    Текст ячейки.
    `width` - Cell width.
    Ширина ячейки.
    `height` - Cell height.
    Высота ячейки.
    `isCursor` - Draw cursor.
    Рисовать курсор.
  Since:
    1.0

### render

    public void render(java.awt.Graphics2D g,
                       java.awt.Component c,
                       java.lang.String text,
                       int width,
                       int height)

  Since:
    1.0
  See Also:
    `render(Graphics2D, Component, String, int, int, boolean)`

### paintCursor

    protected void paintCursor(java.awt.Graphics2D g2d,
                               java.awt.Rectangle rec,
                               java.awt.Color color)

  Рисование курсора.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD